package com.steerinfo.baseinfo.meterbasehistaredata.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterBaseHisTareData implements IBasePO<String> {
    /**
     * 数据编号(DATA_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="数据编号",required=true)
    private String dataNo;

    /**
     * 皮重计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 皮重计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="皮重计量点名称",required=true)
    private String baseSpotName;

    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=true)
    private String carNo;

    /**
     * 皮重数据(METER_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="皮重数据",required=true)
    private Long meterWeight;

    /**
     * 皮重计量员(METER_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重计量员",required=true)
    private String meterName;

    /**
     * 皮重计量时间(METER_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="皮重计量时间",required=true)
    private Date meterTime;

    /**
     * 上一次皮重(UP_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="上一次皮重",required=true)
    private Long upWeight;

    /**
     * 平均皮重(AVG_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="平均皮重",required=true)
    private Long avgWeight;

    /**
     * 皮重次数(METER_NUM,DECIMAL,10)
     */
    @ApiModelProperty(value="皮重次数",required=true)
    private Long meterNum;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.dataNo;
    }

    @Override
    public void setId(String dataNo) {
        this.dataNo = dataNo == null ? null : dataNo.trim();
    }

    public String getDataNo() {
        return dataNo;
    }

    public void setDataNo(String dataNo) {
        this.dataNo = dataNo == null ? null : dataNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public Long getMeterWeight() {
        return meterWeight;
    }

    public void setMeterWeight(Long meterWeight) {
        this.meterWeight = meterWeight;
    }

    public String getMeterName() {
        return meterName;
    }

    public void setMeterName(String meterName) {
        this.meterName = meterName == null ? null : meterName.trim();
    }

    public Date getMeterTime() {
        return meterTime;
    }

    public void setMeterTime(Date meterTime) {
        this.meterTime = meterTime;
    }

    public Long getUpWeight() {
        return upWeight;
    }

    public void setUpWeight(Long upWeight) {
        this.upWeight = upWeight;
    }

    public Long getAvgWeight() {
        return avgWeight;
    }

    public void setAvgWeight(Long avgWeight) {
        this.avgWeight = avgWeight;
    }

    public Long getMeterNum() {
        return meterNum;
    }

    public void setMeterNum(Long meterNum) {
        this.meterNum = meterNum;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", dataNo=").append(dataNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", carNo=").append(carNo);
        sb.append(", meterWeight=").append(meterWeight);
        sb.append(", meterName=").append(meterName);
        sb.append(", meterTime=").append(meterTime);
        sb.append(", upWeight=").append(upWeight);
        sb.append(", avgWeight=").append(avgWeight);
        sb.append(", meterNum=").append(meterNum);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}